@Torso

Ошибка распаковки архивов насколько я понимаю. Как пофиксить?

нужно perl обновить (установлен 5.32 нужен 5.36)
root@kali:~# apt --fix-broken install
Чтение списков пакетов… Готово
Построение дерева зависимостей… Готово
Чтение информации о состоянии… Готово         
Исправление зависимостей… Готово
Будут установлены следующие дополнительные пакеты:
  git git-man libcrypt-dev liblocale-gettext-perl perl perl-base
Предлагаемые пакеты:
  git-daemon-run | git-daemon-sysvinit git-doc git-email git-gui gitk gitweb git-cvs git-mediawiki git-svn
  perl-doc libterm-readline-gnu-perl | libterm-readline-perl-perl libtap-harness-archive-perl
Следующие пакеты будут обновлены:
  git git-man libcrypt-dev liblocale-gettext-perl perl perl-base
Обновлено 6 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1876 пакетов не обновлено.
Установлено или удалено не до конца 31 пакетов.
Необходимо скачать 0 B/11,2 MB архивов.
После данной операции объём занятого дискового пространства возрастёт на 7 870 kB.
Хотите продолжить? [Д/н] y
Чтение журналов изменений... Выполнено
(Чтение базы данных … на данный момент установлено 395992 файла и каталога.)
Подготовка к распаковке …/perl_5.36.0-6_amd64.deb …
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: warning: подпроцесс old pre-removal script возвратил код ошибки 1
dpkg: попытка использовать сценарий из нового пакета …
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: ошибка при обработке архива /var/cache/apt/archives/perl_5.36.0-6_amd64.deb (--unpack):
 подпроцесс new pre-removal script возвратил код ошибки 1
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: error while cleaning up:
 подпроцесс installed post-installation script возвратил код ошибки 1
Подготовка к распаковке …/perl-base_5.36.0-6_amd64.deb …
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: warning: подпроцесс old pre-removal script возвратил код ошибки 1
dpkg: попытка использовать сценарий из нового пакета …
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: ошибка при обработке архива /var/cache/apt/archives/perl-base_5.36.0-6_amd64.deb (--unpack):
 подпроцесс new pre-removal script возвратил код ошибки 1
dpkg-maintscript-helper: error: dpkg: error: неизвестный параметр --validate-version

Справка по установке и удалению пакетов доступна по команде dpkg --help [*];
Программа «apt» или «aptitude» предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку по работе с файлами *.deb, введите dpkg-deb --help;

Команды, отмеченные [*], выводят большое количество информации.
Объедините их в конвейер с программами «less» или «more»!
dpkg: error while cleaning up:
 подпроцесс installed post-installation script возвратил код ошибки 1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/perl_5.36.0-6_amd64.deb
 /var/cache/apt/archives/perl-base_5.36.0-6_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@kali:~#
  • Вопрос задан
  • 261 просмотр
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы